<template>
  <div>
    <v-container>
      <span class="overline mb-4">Propiedades Generales</span>
      <v-row>
        <v-col>
          Query Timeout
          <v-text-field
            v-number
            v-model.number="properties.query_timeout"
            placeholder="Default 30"
            required
          ></v-text-field>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
<style scoped></style>
<script>
export default {
  name: "Component-Propiedades",
  props: {
    setProperties: Function
  },
  data: () => ({
    properties: {
      query_timeout: 30
    }
  }),
  watch: {
    properties: {
      deep: true,
      handler: function(value) {
        this.setProperties(value);
      }
    }
  },
  beforeMount() {
    this.setProperties(this.properties);
  }
};
</script>
